Vim Error E492 - Not an editor command: PluginInstall

Vim Error E492 - Not an editor command: PluginInstall

e492: not an editor command: plugininstall windows
command not found plugin vimrc
plugininstall vim
vundle command not found plugin
vim plugin manager
cocinstall not an editor command
error detected while processing command line e492 not an editor command pluginstall
e492 not an editor command plugin leafgarland typescript vim

I am trying to install Vundle on my Macvim. I followed the following link to get Vundle. I also configured my .vimrc file. But when I try PluginInstall, I get the following error.

E492: Not an editor command: PluginInstall

My .vimrc contains the following:

  1 set nocompatible    "https://stackoverflow.com/questions/5845557/in-a-vimrc-is-set-nocc
    ompatible-completely-useless
  2
  3 " https://github.com/gmarik/Vundle.vim
  4 filetype off                  " required
  5
  6 " set the runtime path to include Vundle and initialize
  7 set rtp+=~/.vim/bundle/Vundle.vim
  8 call vundle#begin()
  9 " alternatively, pass a path where Vundle should install plugins
 10 "call vundle#begin('~/some/path/here')
 11
 12 " let Vundle manage Vundle, required
 13 Plugin 'gmarik/Vundle.vim'
 14
 15 " All of your Plugins must be added before the following line
 16 call vundle#end()            " required
 17 filetype plugin indent on    " required

My vim directory:

Username-MacBook-Pro:bundle u1$ pwd
/Users/u1/.vim/bundle
Username-MacBook-Pro:bundle u1$ ls
Vundle.vim

I also checked this stackoverflow post. But it didn't solve my problem. Why does it throw such an error and how can I find what exactly is my issue.


I had to install Vundle into Plugin directory instead of Bundle. It solved the issue.

git clone https://github.com/gmarik/Vundle.vim.git ~/.vim/plugin/Vundle.vim

e492: Not an editor command · Issue #486 · VundleVim/Vundle.vim , I get this error(e492: Not an editor command) when I call :PluginInstall. Here is .​vimrc file: set nocompatible " be iMproved, required filetype off  Dismiss Join GitHub today. GitHub is home to over 40 million developers working together to host and review code, manage projects, and build software together.


You can check the output of :version

   system vimrc file: "/etc/vimrc"
     user vimrc file: "$HOME/.vimrc"
 2nd user vimrc file: "~/.vim/vimrc"

Note which vimrc file you are using, say you are configuring $HOME/vimrc, but vim is reading $HOME/.vimrc (without dot at filename)

This happened to me.

Hope this will help you.

Vim Error E492 - Not an editor command: PluginInstall, I had to install Vundle into Plugin directory instead of Bundle. It solved the issue. git clone https://github.com/gmarik/Vundle.vim.git  I get this error(e492: Not an editor command) when I call :PluginInstall. I am new to vim and I do not understand what means minimal version. E492: Not an


As mentioned here, I needed to set up Vundle like this:

$ git clone https://github.com/VundleVim/Vundle.vim.git ~/.vim/bundle/Vundle.vim

Afterwards, the error got resolved. By the way, I am on a FreeBSD 10.3-STABLE machine not macOS

Not an editor command :PluginInstall : vim, I cloned my repository to my home directory. But when I open my vimrc file with vim and type :PluginInstall , I get the error - Not an editor command :PluginInstall . Not an editor command :PluginInstall. question. What could be the error? Did I not save my .vim folder properly? 8 comments. share. save hide report. 60% Upvoted.


This could be as a result of end of line characters, CRLF for windows and LF for linux. Change your line endings. if on unix in your ~/.vimrc file :

:set fileformat=unix :w

Vim Tip: Fix plugin loading error "Not an editor command: ^M , is this kind of error message: E492: Not an editor command: ^M line 9: E182: Invalid command name line 10: E492: Not an editor command: ^M  when i open vim, and press ,d it told me E492: Not an editor command: NERDTree. Skip to content. BundleInstall! command in vim. kennedy-han closed this Jun 2, 2014.


E492: Not an editor command: PluginInstall, I have a error E492: Not an editor command: PluginInstall , please help me! these reference are no effective. https://github.com/VundleVim/Vundle.vim/issues/  Teams. Q&A for Work. Stack Overflow for Teams is a private, secure spot for you and your coworkers to find and share information.


python - :PluginInstall not a command on vim?, As a general rule, Vim built-in commands usually begin with a lower-case letter. Most commands which begin with an upper-case letter are  I honestly am not sure whether to post this on vim-plug or here. So apologies in advance. So right now, I just placed plug.vim in ~/.config/autoload and tried to run :PlugInstall from nvim and the "this is not an editor command" keeps poppin' up.


vim - Vundle installation fail?, Error detected while processing /home/scorpion/.vimrc: line 6: E117: From my interaction the ~/.vim/bundle/Vundle.vim was not yet set up. http://vimawesome.​com/plugin/vim-gutter Plugin 'wincent/command-t' " fast Now run vim +​PluginInstall +qall from the terminal or from within vim , :PluginInstall. I encountered the same problem. After tried all the methods mentioned recommended by others and failed. Finally, I found that on our Ubuntu 14.04.1 service, VIM is not installed as default!